
<div *ngIf="disabled">
  <img *ngIf="value" [src]="value"/> 
  <div *ngIf="!value">
    Изображение отсутствует
  </div>
</div>
<div *ngIf="!disabled">
    <input #imageInput 
        hidden="true" 
        type="file" 
        onclick="this.value=null" 
        (change)="onValueChange($event)" 
        accept="image/png, image/jpeg, image/jpg" />
    <button mat-flat-button color="primary" (click)="imageInput.click()">Выбрать изображение</button>
</div>
